libglom-1.18: Glom::LayoutItem_VerticalGroup Class Reference

libglom-1.18 1.18.5

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Glom::LayoutItem_VerticalGroup Class Reference

The child items are arranged vertically in a row on a report. More...

Inheritance diagram for Glom::LayoutItem_VerticalGroup:
[legend]
Collaboration diagram for Glom::LayoutItem_VerticalGroup:
[legend]

List of all members.

## Public Member Functions
| LayoutItem_VerticalGroup ()
| LayoutItem_VerticalGroup (const LayoutItem_VerticalGroup& src)
LayoutItem_VerticalGroup& | operator= (const LayoutItem_VerticalGroup& src)
virtual | ~LayoutItem_VerticalGroup ()
virtual LayoutItem* | clone () const
| Create a new copied instance.
virtual Glib::ustring | get_part_type_name () const
virtual Glib::ustring | get_report_part_id () const
| Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

## Detailed Description

The child items are arranged vertically in a row on a report.

## Constructor & Destructor Documentation

Glom::LayoutItem_VerticalGroup::LayoutItem_VerticalGroup | ( |  | ) |

Glom::LayoutItem_VerticalGroup::LayoutItem_VerticalGroup | ( | const LayoutItem_VerticalGroup& | src | ) |

virtual Glom::LayoutItem_VerticalGroup::~LayoutItem_VerticalGroup | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual LayoutItem* Glom::LayoutItem_VerticalGroup::clone | ( |  | ) | const`[virtual]`

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Reimplemented from Glom::LayoutGroup.

virtual Glib::ustring Glom::LayoutItem_VerticalGroup::get_part_type_name | ( |  | ) | const`[virtual]`

Reimplemented from Glom::LayoutGroup.

virtual Glib::ustring Glom::LayoutItem_VerticalGroup::get_report_part_id | ( |  | ) | const`[virtual]`

Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

Reimplemented from Glom::LayoutGroup.

LayoutItem_VerticalGroup& Glom::LayoutItem_VerticalGroup::operator= | ( | const LayoutItem_VerticalGroup& | src | ) |

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/report_parts/layoutitem_verticalgroup.h